<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: bit_hacks/test.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_64eb892c6bd55b82613c6a491afc7b54.html">bit_hacks</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">test.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="bit__hacks_8h_source.html">bit_hacks.h</a>&quot;</code><br />
<code>#include &quot;greatest.h&quot;</code><br />
<code>#include &lt;stdint.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for test.c:</div>
<div class="dyncontent">
<div class="center"><img src="bit__hacks_2test_8c__incl.png" border="0" usemap="#bit__hacks_2test_8c" alt=""/></div>
<map name="bit__hacks_2test_8c" id="bit__hacks_2test_8c">
<area shape="rect" id="node2" href="bit__hacks_8h.html" title="bit_hacks.h" alt="" coords="5,80,95,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a99b6892107bdc2337315d8da2bcfc43c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2test_8c.html#a99b6892107bdc2337315d8da2bcfc43c">test_set_bit</a> (void)</td></tr>
<tr class="separator:a99b6892107bdc2337315d8da2bcfc43c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab408ba631846e4cbe820bc55c54c68ed"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2test_8c.html#ab408ba631846e4cbe820bc55c54c68ed">test_is_power_of_two</a> (void)</td></tr>
<tr class="separator:ab408ba631846e4cbe820bc55c54c68ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4dc6dab253187ce20b861509423cfcd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2test_8c.html#ab4dc6dab253187ce20b861509423cfcd">test_u16_set_bit</a> (void)</td></tr>
<tr class="separator:ab4dc6dab253187ce20b861509423cfcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1914743b3eb970282290c04cb83956f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2test_8c.html#aa1914743b3eb970282290c04cb83956f">test_u32_set_bit</a> (void)</td></tr>
<tr class="separator:aa1914743b3eb970282290c04cb83956f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8400440f38405cd2a769e07d3eaf97d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2test_8c.html#af8400440f38405cd2a769e07d3eaf97d">test_u64_set_bit</a> (void)</td></tr>
<tr class="separator:af8400440f38405cd2a769e07d3eaf97d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae532313ed79dde53063440c382eeb440"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2test_8c.html#ae532313ed79dde53063440c382eeb440">test_reverse_uint8_bits</a> (void)</td></tr>
<tr class="separator:ae532313ed79dde53063440c382eeb440"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc94104cf0faee5983d41b4773772110"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2test_8c.html#abc94104cf0faee5983d41b4773772110">test_reverse_uint32_bits</a> (void)</td></tr>
<tr class="separator:abc94104cf0faee5983d41b4773772110"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef7a8a5d9334dfd39adce9279e120378"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2test_8c.html#aef7a8a5d9334dfd39adce9279e120378">GREATEST_MAIN_DEFS</a> ()</td></tr>
<tr class="separator:aef7a8a5d9334dfd39adce9279e120378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2test_8c.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aef7a8a5d9334dfd39adce9279e120378"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef7a8a5d9334dfd39adce9279e120378">&#9670;&nbsp;</a></span>GREATEST_MAIN_DEFS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GREATEST_MAIN_DEFS </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c04138a5bfe5d72780bb7e82a18e627">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab408ba631846e4cbe820bc55c54c68ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab408ba631846e4cbe820bc55c54c68ed">&#9670;&nbsp;</a></span>test_is_power_of_two()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_is_power_of_two </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abc94104cf0faee5983d41b4773772110"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc94104cf0faee5983d41b4773772110">&#9670;&nbsp;</a></span>test_reverse_uint32_bits()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_reverse_uint32_bits </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae532313ed79dde53063440c382eeb440"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae532313ed79dde53063440c382eeb440">&#9670;&nbsp;</a></span>test_reverse_uint8_bits()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_reverse_uint8_bits </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a99b6892107bdc2337315d8da2bcfc43c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99b6892107bdc2337315d8da2bcfc43c">&#9670;&nbsp;</a></span>test_set_bit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_set_bit </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4dc6dab253187ce20b861509423cfcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4dc6dab253187ce20b861509423cfcd">&#9670;&nbsp;</a></span>test_u16_set_bit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_u16_set_bit </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa1914743b3eb970282290c04cb83956f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1914743b3eb970282290c04cb83956f">&#9670;&nbsp;</a></span>test_u32_set_bit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_u32_set_bit </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8400440f38405cd2a769e07d3eaf97d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8400440f38405cd2a769e07d3eaf97d">&#9670;&nbsp;</a></span>test_u64_set_bit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_u64_set_bit </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
